/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header:vbootvt.c 12.0$ */
/* $ACIS:vbootvt.c 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/aedtest/RCS/vbootvt.c,v $ */

#ifndef lint
static char *rcsid = "$Header:vbootvt.c 12.0$";
#endif

/* bootvt -- initiate terminal emulator microcode */
/* calls t_load, which loads from an external array, not file */

#include "vikst.h"
#include "term.h"

char *msg1 = "\033[G51;4GIBM, ACIS Experimental Display Terminal Emulator  (C) IBM Corp. 1985.";
char *msg2 = "\033[G25;16GExperimental Display self-tests succeed.";
bootvt()
{
    char c,*m;

	load("glasstty.vkt");
	vstrt();
	vterm(EMULCHAR,' ');	
	m = msg1;
	while (c = *m++)
		vterm(EMULCHAR,c);	/* display message */
	m = msg2;
	while (c = *m++)
		vterm(EMULCHAR,c);	/* display message */
}
